<?php

namespace App\Traits;

use Illuminate\Database\Eloquent\Model;

/**
 * 
 */
trait GenerateRef
{
  public function generateRef($modelName)
  {
    $last_data = $modelName::orderBy('id', 'DESC')->first();

    if ($last_data) {
      $newDate = date("y", strtotime($last_data->created_at));
      //            if (strtotime($newDate) == strtotime(date('y'))) {
      if ($newDate == date('y')) {

        $last_id = substr((int)$last_data->ref_no, -4) + $last_data->id;
      } else {
        $last_id = 0001;
      }
    } else {
      $last_id = 0001;
    }
    $ref_no = date('y') . strtoupper(date('M')) . str_pad($last_id, 4, '0', STR_PAD_LEFT);

    return $ref_no;
  }
}
