<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDesignMastersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('design_masters', function (Blueprint $table) {
            $table->id();
            $table->string('blend')->nullable();
            $table->string('read')->nullable();
            $table->string('pick')->nullable();
            $table->string('glm')->nullable();
            $table->string('read_space')->nullable();
            $table->string('design_number')->nullable();
            $table->string('weave')->nullable();
            $table->text('remarks')->nullable();
            $table->boolean('is_warp')->default(false);
            $table->boolean('is_waf')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('design_masters');
    }
}
